package com.YuyeTech.TPlat.service;

import com.YuyeTech.TPlat.dataobject.Favorites;
import org.springframework.data.domain.Pageable;

import java.util.Map;

/**
 * @author:slambb
 * @date:2020/1/14
 */
public interface FavoritesService {
    Boolean findByUserIdAndFObjectId(String userId,String fObjectId);

    /**
     * 查找用户关注列表
    */

    Map findByUserId(String userId, Integer favoriteType, Pageable pageable);
    Map findByUserIdAndPlatform(String userId, Integer favoriteType, Integer platform, Pageable pageable);

    Favorites addFavorite(Favorites favorites);

    String delectFavorite(String userId, String fObjectId);
}
